Subject: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Oct 2021 20:01:18 +0300

> Date: Mon, 18 Oct 2021 19:53:10 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Then the doc string after my changes is exactly right.  I have no idea
> what you see that's wrong with it.  You say some functions return menu
> items and some return a list of menu items, and that's what the doc
> string says.  You say that these values are displayed on the tab bar,
> and that's what the doc string says.  So what exactly is wrong??

Or let me turn the table and ask you to explain to a potential Lisp
programmer what to expect from adding a function to the list in
tab-bar-format.  Suppose J.R. Hacker wants to write a function
suitable for inclusion in this list, and suppose the function returns
a string or a list of menu items -- what should J.R. Hacker expect
from putting that function in this list? how will the tab bar display
the value returned by the function?